Skip to content
Linq

List available webhook event types

GET/v3/webhook-events

Returns all available webhook event types that can be subscribed to. Use this endpoint to discover valid values for the subscribed_events field when creating or updating webhook subscriptions.

ReturnsExpand Collapse
doc_url: "https://docs.linqapp.com/channel/imessage/guides/webhooks/events"

URL to the webhook events documentation

formaturi
events: array of WebhookEventType

List of all available webhook event types

One of the following:
"message.sent"
"message.received"
"message.read"
"message.delivered"
"message.failed"
"message.edited"
"reaction.added"
"reaction.removed"
"poll.received"
"poll.failed"
"poll.sent"
"poll.delivered"
"poll.read"
"poll.updated"
"poll.vote.added"
"poll.vote.removed"
"poll.reaction.added"
"participant.added"
"participant.removed"
"chat.created"
"chat.group_name_updated"
"chat.group_icon_updated"
"chat.group_name_update_failed"
"chat.group_icon_update_failed"
"chat.background_updated"
"chat.background_update_failed"
"chat.typing_indicator.started"
"chat.typing_indicator.stopped"
"phone_number.status_updated"
"phone_number.assigned"
"phone_number.released"
"contact_card.received"
"call.initiated"
"call.ringing"
"call.answered"
"call.ended"
"call.failed"
"call.declined"
"call.no_answer"
"location.sharing.started"
"location.sharing.stopped"
"payment.succeeded"
"payment.canceled"
"payment.expired"
"payment.declined"
"payment.authorized"
"connection.created"
"connection.revoked"
"zero_day_retention.updated"
"phone_number.forwarding_updated"
"environment.line_moved"
"contact_card.created"
"contact_card.updated"
"contact_card.deleted"
"api_token.created"
"api_token.renamed"
"api_token.expiry_scheduled"
"api_token.expired"
"api_token.activated"
"api_token.deleted"
"environment.created"
"environment.renamed"
"environment.deleted"
"webhook_subscription.created"
"webhook_subscription.deleted"
"webhook_subscription.target_url_changed"
"webhook_subscription.enabled"
"webhook_subscription.disabled"
"webhook_subscription.events.updated"
"webhook_subscription.phone_numbers.updated"
"webhook_subscription.routing_headers_set"
"webhook_subscription.routing_headers_cleared"
"team_member.added"
"team_member.signed_in"
"team_member.signed_out"

List available webhook event types

curl https://api.linqapp.com/api/partner/v3/webhook-events \
    -H "Authorization: Bearer $LINQ_API_V3_API_KEY"
{
  "events": [
    "message.sent",
    "message.received",
    "message.read",
    "message.delivered",
    "message.failed",
    "reaction.added",
    "reaction.removed",
    "poll.received",
    "poll.sent",
    "poll.delivered",
    "poll.read",
    "poll.updated",
    "poll.failed",
    "poll.vote.added",
    "poll.vote.removed",
    "poll.reaction.added",
    "participant.added",
    "participant.removed",
    "chat.created",
    "chat.group_name_updated",
    "chat.group_icon_updated",
    "chat.group_name_update_failed",
    "chat.group_icon_update_failed",
    "chat.background_updated",
    "chat.typing_indicator.started",
    "chat.typing_indicator.stopped",
    "message.edited",
    "phone_number.status_updated",
    "contact_card.received"
  ],
  "doc_url": "https://docs.linqapp.com/channel/imessage/guides/webhooks/events"
}
{
  "error": {
    "status": 401,
    "code": 2004,
    "message": "Unauthorized - missing or invalid authentication token",
    "doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/2xxx/2004/"
  },
  "success": false
}
{
  "error": {
    "status": 500,
    "code": 3006,
    "message": "Internal server error",
    "doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/3xxx/3006/"
  },
  "success": false
}
Returns Examples
{
  "events": [
    "message.sent",
    "message.received",
    "message.read",
    "message.delivered",
    "message.failed",
    "reaction.added",
    "reaction.removed",
    "poll.received",
    "poll.sent",
    "poll.delivered",
    "poll.read",
    "poll.updated",
    "poll.failed",
    "poll.vote.added",
    "poll.vote.removed",
    "poll.reaction.added",
    "participant.added",
    "participant.removed",
    "chat.created",
    "chat.group_name_updated",
    "chat.group_icon_updated",
    "chat.group_name_update_failed",
    "chat.group_icon_update_failed",
    "chat.background_updated",
    "chat.typing_indicator.started",
    "chat.typing_indicator.stopped",
    "message.edited",
    "phone_number.status_updated",
    "contact_card.received"
  ],
  "doc_url": "https://docs.linqapp.com/channel/imessage/guides/webhooks/events"
}
{
  "error": {
    "status": 401,
    "code": 2004,
    "message": "Unauthorized - missing or invalid authentication token",
    "doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/2xxx/2004/"
  },
  "success": false
}
{
  "error": {
    "status": 500,
    "code": 3006,
    "message": "Internal server error",
    "doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/3xxx/3006/"
  },
  "success": false
}